import { axios } from '@/utils/request'

// 创建
export const rewardRuleCreate = params => {
  return axios({
    url: `/rewardRule/create`,
    data: params,
    method: 'post'
  })
}
// 删除
export const rewardRuleDelete = params => {
  return axios({
    url: `/rewardRule/delete`,
    data: params,
    method: 'post'
  })
}
// 终止
export const rewardRuleClose = params => {
  return axios({
    url: `/rewardRule/closeRule`,
    data: params,
    method: 'post'
  })
}
// 详情列表
export const rewardRuleDetail = params => {
  return axios({
    url: `/rewardRule/findBySn/${params.rewardRuleSn}`,
    data: params,
    method: 'get'
  })
}
// 修改
export const rewardRuleModify = params => {
  return axios({
    url: `/rewardRule/modify`,
    data: params,
    method: 'post'
  })
}
// 分页列表
export const rewardRuleList = params => {
  const url = `/rewardRule/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 发布
export const rewardRuleRelease = params => {
  return axios({
    url: `/rewardRule/releaseRule`,
    data: params,
    method: 'post'
  })
}
// 分页列表
export const rewardRuleShelfQueryPage = params => {
  const url = `/rewardRuleStore/shelf/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 货架加入列表
export const shelfJoinQueryPage = params => {
  const url = `/rewardRuleStore/shelf/joinQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}